# Release History

***

### V1.63

#### Created: 2026-04-28

* Added another connection method for service account with OAuth

***

### V1.62

#### Created: 2026-04-23

* Removed START\_INDEX from JQL\_QUERY as Atlassian have deprecated it
* Added a JQL\_QUERY\_COUNT UDTF
* Added OAuth as a connection method

***

### V1.61

#### Created: 2026-02-19

* Fixed an error in the previous release

***

### V1.60

#### Created: 2026-02-18

* Addressed a limitation in the new Jira search API to prevent records from being missed during pagination

***

### V1.59

#### Created: 2025-11-13

* When syncing issues, we now use the new cursor based pagination for the initial client-side filter that compensates for timestamp truncation in the search service. This will reduce the risk of pagination bugs.

***

### V1.58

#### Created: 2025-11-09

* If the user lacks browse project rights, fetching of project versions will be skipped for that project

***

### V1.57

#### Created: 2025-11-07

* The FETCH\_PROJECT\_VERSIONS UDTF will now return the full HTTP body in the event of an error

***

### V1.56

#### Created: 2025-11-06

* Added a new consumer UDF to fetch project versions directly
* Added more result columns to the FETCH\_PROJECTS UDTF

***

### V1.55

#### Created: 2025-11-01

* Removed a guard against issues missing the worklog field, as it seems this is expected sometimes

***

### V1.54

#### Created: 2025-10-28

* Add inbound stream 'project\_versions' to fetch Jira project versions

***

### V1.53

#### Created: 2025-10-14

* group\_users stream now uses the nextPage flag for pagination
* Added a new consumer UDF named FETCH\_GROUP\_MEMBERS

***

### V1.52

#### Created: 2025-10-10

* Fixed an issue where not all groups would be returned
* group\_users now fetches by group id to improve reliability
* Added two new consumer UDFs: FETCH\_GROUPS and FETCH\_USERS

***

### V1.51

#### Created: 2025-09-02

* Changed the behaviour of the agile\_sprints stream to leave the originBoardId as-is, regardless of the board ID used to retrieve it. The board ID used to retrieve the sprint will instead be stored in boardId.

***

### V1.50

#### Created: 2025-09-02

* Fixed a pagination issue with the agile\_sprints stream

***

### V1.49

#### Created: 2025-08-30

* Added agile\_sprints as an inbound stream

***

### V1.48

#### Created: 2025-08-27

* When retrying issues queries, the maximum number to return will be halved each retry

***

### V1.47

#### Created: 2025-08-26

* New plugin runtime version which contains a guard when checking dataframe sizes

***

### V1.46

#### Created: 2025-08-26

* Enabled checkpointing to allow sync progress to be persisted in the event that a sync runs out of time

***

### V1.45

#### Created: 2025-08-22

* Fixed an issue where connection tests failed due to new API JQL constraints

***

### V1.44

#### Created: 2025-08-19

* Fixed an issue where the CREATE\_ISSUE function raised an error due to the requirement of Atlassian document format as the description
* Introduced a second form of CREATE\_ISSUE which accepts an object in Atlassian document format

***

### V1.43

#### Created: 2025-08-17

* Switched to the JQL enhanced search API due to deprecation of the existing JQL API

***

### V1.42

#### Created: 2025-07-30

* Fixed a pagination bug in custom field context retrieval

***

### V1.41

#### Created: 2025-07-29

* If the custom field is not readable by the configured user, it will be skipped with a warning log message
* Fixed an issue where custom field contexts and options were incomplete

***

### V1.40

#### Created: 2025-07-29

* The JQL\_QUERY consumer UDF can now specify the list of fields

***

### V1.39

#### Created: 2025-07-25

* Added custom field contexts and options as inbound streams

***

### V1.38

#### Created: 2025-06-02

* Added support for issue changelogs

***

### V1.37

#### Created: 2025-05-28

* Increased the API retries for inbound issues to allow a total of 5 minutes, to account for small outages during full refreshes

***

### V1.36

#### Created: 2025-05-23

* Adjusted the JQL query retries for full refreshes, to wait longer for the instance to recover from errors

***

### V1.35

#### Created: 2025-05-23

* For incremental syncs, the 'updated' field is always included in the fields list even if not specified
* Fixed an issue introduced in the previous release where the issue\_watchers stream may errors

***

### V1.34

#### Created: 2025-05-15

* Fixed an issue where choosing 'id' as the issue fields value caused an error while syncing. After this change, it is now possible to do an id-only inbound issues sync for more performant delete detection.

***

### V1.33

#### Created: 2025-05-12

* Improved API retries for inbound issues syncs to include lower level connection disconnects

***

### V1.32

#### Created: 2025-05-10

* Made additional improvements to incremental sync logic for issues

***

### V1.31

#### Created: 2025-05-09

* Fixed an issue where incremental syncs would fail to find new records if the next detected change was a bulk update

***

### V1.30

#### Created: 2025-05-05

* Implemented inbound and outbound syncing for Asset Management objects

***

### V1.29

#### Created: 2025-03-28

* Fixed an issue where not all issue fields were populated during outbound syncs

***

### V1.28

#### Created: 2025-03-27

* Fixed an issue where outbound custom issue fields had incorrect API names
* Fixed an issue where if the Snowflake account has a different timezone configured than the Jira user, records could be missed in incremental syncs

***

### V1.27

#### Created: 2025-02-06

* Upgraded to the latest plugin runtime due to a timestamp parsing issue discovered with the version used in the previous release

***

### V1.26

#### Created: 2025-01-26

* Fixed an issue where outbound organization syncs would fail to update

***

### V1.25

#### Created: 2025-01-24

* When setting Organization Detail values, null values will be skipped
* When storing Organization Detail values, they will be keyed on the name

***

### V1.24

#### Created: 2025-01-20

* Added Service Desk Organizations as an outbound sync option
* Added a CREATE\_OR\_UPDATE\_ORGANIZATION consumer UDTF

***

### V1.23

#### Created: 2024-10-05

* Issue comments and worklogs will no longer track their state, and instead will entirely depend on the parent stream for incremental functionality

***

### V1.22

#### Created: 2024-09-07

* Fixed an issue where inbound streams that are dependant on issues may be missing records

***

### V1.21

#### Created: 2024-08-30

* Changed the datetime parsing in normalize views to accomodate inconsistent use of milliseconds

***

### V1.20

#### Created: 2024-08-29

* Added an "ONLY\_WHEN" parameter to CREATE\_ISSUE to allow easier filtering
* Added a FETCH\_ALL\_ISSUE\_FIELDS consumer function to list all issue field metadata
* Upgraded to new plugin runtime version

***

### V1.19

#### Created: 2024-08-01

* Improved rate limit handling
* Fix UDF imports
* Fixed an issue where an error was thrown when using the Create outbound strategy

***

### V1.18

#### Created: 2024-05-31

* Added the CREATE\_ISSUE consumer UDF

***

### V1.17

#### Created: 2024-05-24

* Added issue\_watchers stream
* Fixed issue where fetching projects would hang indefinitely

***

### V1.16

#### Created: 2024-05-22

* Temporarily added an alternate fetch\_projects UDTF

***

### V1.15

#### Created: 2024-05-20

* Added further logging to the fetch\_projects UDTF

***

### V1.14

#### Created: 2024-05-04

* Consumer UDFs now only have the wrapper (for connection slug) exposed

***

### V1.13

#### Created: 2024-05-04

* Added the "fields" inbound stream

***

### V1.12

#### Created: 2024-05-03

* Fixed an issue where custom timestamp fields caused errors in the normalized view for issues
* Added a consumer UDTF which fetches projects

***

### V1.11

#### Created: 2024-04-30

* Added retries on projects stream to work around read timeouts
* Fixed an issue where the inbound issues stream normalized view errored due to incorrect timestamp format

***

### V1.10

#### Created: 2024-04-29

* Added support for custom domains when connecting

***

### V1.9

#### Created: 2024-04-29

* Improved logging for inbound stream progress

***

### V1.8

#### Created: 2024-04-28

* Reduced inbound sync concurrency to 2 to prevent overloading the service

***

### V1.7

#### Created: 2024-04-27

* Upgraded to new plugin runtime version which contains a fix for criteria deletes

***

### V1.6

#### Created: 2024-04-26

* Changed the way that issues are initially fetched, to better leverage Jira's caching services

***

### V1.5

#### Created: 2024-04-22

* JQL\_QUERY function now returns issue fields at the root of the record

***

### V1.4

#### Created: 2024-04-22

* Moved most of the array-style issue fields out into their own streams, and replaced the full object with an identifier
* Added the following streams: issue\_comments, issue\_links, permissions, issue\_types, issue\_link\_types, group\_users, groups, project\_categories, status\_categories, statuses, resolutions, priorities, agile\_boards
* Streams now download in parallel with a concurrency of 5
* View definitions now include descriptions that come from the Jira field name
* Issue records no longer have all their field values under the 'field' object, instead they have been flattened into the root
* Added a UDTF named JQL\_QUERY, which can run ad-hoc paginated JQL queries and return issues

***

### V1.3

#### Created: 2024-04-20

* Fixed an issue where Jira issue results are missing if issue worklogs are included

***

### V1.2

#### Created: 2024-04-18

Renamed the Username field to Email Address, for clarity. Added extra connection tests which verify that issues can be fetched

***

### V1.1

#### Created: 2024-04-02

* Bump plugin runtime version
* Built with omnata-plugin-devkit==0.3.17 which includes pinned stored proc dependencies

***

### V1.0

#### Created: 2024-03-07

* Issue worklogs have been moved out into their own stream, dependent on Issues
* Plugin is now out of private preview

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omnata.com/omnata-product-documentation/omnata-sync-for-snowflake/apps/jira/release-history.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
